package exlabel.structure;

import java.awt.Graphics2D;

public interface IExGraph {

	public void draw(Graphics2D g2d);

	public void update();
	
	public ExNode hitNode(int x, int y);
	
	public ExEdge hitEdge(int x, int y);

	public boolean addNode(ExNode newnode);

	public boolean addEdge(ExEdge newedge);

	public boolean setInsertDraggingTempNode(int xpos, int ypos, int zpos,
			int radius, float mass);

	public boolean setInsertDraggingTempEdge(ExNode startNode, ExNode endNode,
			String Label);

	
	public void enableTempNodeDrawing();

	public void enableTempEdgeDrawing();

	public void disableTempNodeDrawing();

	public void disableTempEdgeDrawing();
	
}